SOGo | BTS

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000230SOGoWeb Address Bookpublic2009-11-04 12:412014-05-29 11:41
Reporterflorian 
Assigned Toludovic 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version1.1.0 
Target VersionFixed in Version 
Summary0000230: Import of LDIF file via webinterface does not work correctly
DescriptionWhen importing the file test.ldif via webinterface following errors occur:
- firstname, nickname and work phone are not imported
- displayname, email and lastname are displayed correctly using the webinterface, but when viewing them using Thunderbirds addressbook there ist a black rectangle after each entry.

The file test.ldif was created using the export function of Thunderbird 2.0.0.23
sogo connector, integrator and lightning are all version 0.97
TagsNo tags attached.
Attached Files? file icon test.ldif [^] (355 bytes) 2009-11-04 12:41

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0001645)
alessio (reporter)
2010-10-25 06:55

Very big bug, in fact every ldif field with an uppercase (like givenName) in thunderbird ldif file are ignored.
User avatar (0001649)
francis (administrator)
2010-10-25 09:09

Fixed in revision 9deadfa49386c2d13ad45fa2c1c8d7f91bae49e3.

I can't reproduce the "black rectangle" issue with SOGo 1.3.3 and Thunderbird 3.1.
(0001901)
alessio (reporter)
2010-12-01 09:07

fixed in 1.3.4?
(0002176)
florian (reporter)
2011-03-01 09:47

I tested the import test.ldif with SOGO 1.3.5a and TB 3.1.7 and it works correct now.
All parts get imported and there is no "black rectangle" issue with TB 3.1.7
User avatar (0002177)
ludovic (administrator)
2011-03-01 15:52

So the issue can be closed?
(0002178)
florian (reporter)
2011-03-02 03:26

From my side, yes.

- Issue History
Date Modified Username Field Change
2009-11-04 12:41 florian New Issue
2009-11-04 12:41 florian File Added: test.ldif
2010-10-25 06:55 alessio Note Added: 0001645
2010-10-25 09:09 francis Note Added: 0001649
2010-12-01 09:07 alessio Note Added: 0001901
2011-03-01 09:47 florian Note Added: 0002176
2011-03-01 15:52 ludovic Note Added: 0002177
2011-03-02 03:26 florian Note Added: 0002178
2011-03-02 06:32 ludovic Status new => resolved
2011-03-02 06:32 ludovic Resolution open => fixed
2011-03-02 06:32 ludovic Assigned To => ludovic


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker